#include <bits/stdc++.h>
#include <vector>
#include <algorithm>
#include <cmath>
using namespace std;
long long Konflikt(int N,int M,int *A,int *B)
{
    vector<long long> a(N);
    vector<long long> b(N);
    for(int i = 0;i<N;i++)
    {
        a[i] = A[i+1];
        b[i] = B[i+1];
    }
    sort(a.begin(),a.end());
    sort(b.begin(),b.end());
    long long m = 1000000000000;
    for(int x = 0;x<M-1;x++)
    {
        for(int i = 0;i<N;i++)
            a[i]++;
        for(int j = 0;j<N;j++)
        {
            long long s = 0;
            for(int i = 0;i<N;i++)
            {
                s+=min(abs(a[i]-b[(i+j)%N]),M - abs(a[i] - b[(i+j)%N]));
            }
            if(m>s)
                m = s;
        }
    }
    return m;
}